#136 timing issue with modifier keys (shift, option, ctrl, cmd)

v2.0
closed-fixed
nobody
Interface (96)
5
2005-08-23
2005-06-27
No

Does this theory make sense?

I still get these annoying repeating characters when
connected to a linux box running VNC. Here's what I
think is going on.

I think that when you're sending something with a
modifier, like an ALL_CAPS_WORD, that sometimes when
you release the modifier, somehow the key-up of the
modified key is lost. Then the other side (the VNC
server) thinks the unmodified key is still held down
and goes into a hell of a repeat mode. I get it out of
that mode by pressing another key like backspace.

For example, setting up COTVNC so that command (apple)
is the same as option, and doing something like
command-C (cut in a typical linux text editor) you can
pretty easily get a stream of lower-case 'c's going on...

I'm not sure if this is a client issue or a server
issue... but on the client side, perhaps the keyboard
state has to be tracked such that a modifier key-up
forces a modified-key keyup?

Discussion

  • Jason Harris

    Jason Harris - 2005-07-11

    Logged In: YES
    user_id=351330

    Marc, Chicken just got a whole new event layer. I'd appreciate if you'd pull
    from CVS, compile and see whether this problem still exists.

     
  • Marc Lindahl

    Marc Lindahl - 2005-07-12

    Logged In: YES
    user_id=619807

    got these errors, couldn't build:

    ServerFromRendezvous.m:50: cannot find method
    `-resolveWithTimeout:'; return type `id' assumed
    ServerFromRendezvous.m:50: `NSNetService' may not respond to
    `-resolveWithTimeout:'

    the comment on that line says tiger-only API... I'm on 10.3.9

     
  • Jason Harris

    Jason Harris - 2005-07-12

    Logged In: YES
    user_id=351330

    Sorry, Marc, I hadn't updated the Chicken project file for use with Xcode
    versions earlier than 2.1. Pull from CVS again, Chicken now builds cleanly
    on Panther.

     
  • Marc Lindahl

    Marc Lindahl - 2005-07-15

    Logged In: YES
    user_id=619807

    still built with those two warnings, but now it builds and
    runs... but doesn't actually work. Sorry for the delay... I
    had to wait for the cvs public server to update after you
    updated the repository, then got sidetracked with, uh... work :)

    - preferences menu pick doesn't launch pref's pane

    - connect dialogue doesn't connect, just spins forever.

    - the prev. version of cotvnc works (sanity check that my
    vnc server is still working)

    compiler warnings:

    ServerFromRendezvous.m:50: cannot find method
    `-resolveWithTimeout:'; return type `id' assumed
    ServerFromRendezvous.m:50: `NSNetService' may not respond to
    `-resolveWithTimeout:'

    Run Log: (these occur right away when it runs)

    [Session started at 2005-07-15 16:38:04 -0400.]
    2005-07-15 16:38:06.048 Chicken of the VNC[1445] Exception
    raised during posting of notification. Ignored. exception:
    *** -[NSKeyedUnarchiver decodeObjectForKey:]: object
    reference beyond limit or other data corruption
    2005-07-15 16:38:21.585 Chicken of the VNC[1445] ***
    -[NSKeyedUnarchiver decodeObjectForKey:]: object reference
    beyond limit or other data corruption
    2005-07-15 16:38:36.637 Chicken of the VNC[1445] ***
    -[NSKeyedUnarchiver decodeObjectForKey:]: object reference
    beyond limit or other data corruption
    2005-07-15 16:39:36.458 Chicken of the VNC[1445] ***
    NSUnarchiver: inconsistency between written and read data
    for object 0x0

    Executable Chicken of the VNC has exited with status 0.
    [Session started at 2005-07-15 16:42:56 -0400.]
    2005-07-15 16:42:57.422 Chicken of the VNC[1478] Exception
    raised during posting of notification. Ignored. exception:
    *** -[NSKeyedUnarchiver decodeObjectForKey:]: object
    reference beyond limit or other data corruption
    2005-07-15 16:43:05.659 Chicken of the VNC[1478] ***
    -[NSKeyedUnarchiver decodeObjectForKey:]: object reference
    beyond limit or other data corruption
    2005-07-15 16:43:13.059 Chicken of the VNC[1478] ***
    -[NSKeyedUnarchiver decodeObjectForKey:]: object reference
    beyond limit or other data corruption
    2005-07-15 16:43:26.726 Chicken of the VNC[1478] ***
    NSUnarchiver: inconsistency between written and read data
    for object 0x0

    Executable Chicken of the VNC has exited with status 0.

     
  • Jason Harris

    Jason Harris - 2005-07-18

    Logged In: YES
    user_id=351330

    bowerymarc, can you please attach the file found at <your home
    directory>/Library/Preferences/com.geekspiff.chickenofthevnc.plist? The
    Choose File button is at the bottom of this window.

     
  • Marc Lindahl

    Marc Lindahl - 2005-07-19

    Logged In: YES
    user_id=619807

    here you go!

     
  • Jason Harris

    Jason Harris - 2005-07-21

    Logged In: YES
    user_id=351330

    bowerymarc, I can't duplicate this using your preferences file and running
    on OS X 10.3.9. What OS are you using?

     
  • Marc Lindahl

    Marc Lindahl - 2005-07-21

    Logged In: YES
    user_id=619807

    powerbook running:
    System Version: Mac OS X 10.3.9 (7W98)
    Kernel Version: Darwin 7.9.0

    also should mention - using vilefault, I mean filevault, on
    my home dir.

     
  • Jason Harris

    Jason Harris - 2005-07-21

    Logged In: YES
    user_id=351330

    Yup, same version here, no problems with your preference file. All I can
    recommend is that you try it again, I guess.

     
  • Marc Lindahl

    Marc Lindahl - 2005-07-21

    Logged In: YES
    user_id=619807

    I assure you, I tried it a bunch of times before posting the
    conclusion :)

    Perhaps it's something in my build environment... want to
    attach a build below for me to try?

     
  • Jason Harris

    Jason Harris - 2005-07-21

    Logged In: YES
    user_id=351330

    Build attached.

     
  • Marc Lindahl

    Marc Lindahl - 2005-07-21

    Logged In: YES
    user_id=619807

    yeah, of course this one works fine.... I can connect, etc....
    There's something wrong with my build enviro.... even the
    icon looks messed up (color mapping?) whereas yours is just
    peachy... doh!
    Well in any case I'll use the one you sent for a while and
    see how it compares.

    thanks!

     
  • Jason Harris

    Jason Harris - 2005-08-23
    • status: open --> closed-fixed
     
  • Jason Harris

    Jason Harris - 2005-08-23

    Logged In: YES
    user_id=351330

    Fixed for 2.0b3.

     

Log in to post a comment.